Bug 526115 - Review Request: qtcurve-gtk2 - A set of widget styles for Gtk2 based apps
Summary: Review Request: qtcurve-gtk2 - A set of widget styles for Gtk2 based apps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 20:15 UTC by Thomas Janssen
Modified: 2009-10-16 11:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-16 11:09:27 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2009-09-28 20:15:00 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/qtcurve-gtk2.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/qtcurve-gtk2-0.68.1-1.fc10.src.rpm
Description:
QtCurve is a desktop theme for the GTK+ and Qt widget toolkits,
allowing users to achieve a uniform look between three widget toolkits.:

[thomas@tusdell SPECS]$ rpmlint qtcurve-gtk2.spec ../SRPMS/qtcurve-gtk2-0.68.1-1.fc10.src.rpm ../RPMS/x86_64/qtcurve-gtk2-0.68.1-1.fc10.x86_64.rpm ../RPMS/x86_64/qtcurve-gtk2-debuginfo-0.68.1-1.fc10.x86_64.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1714499

Comment 1 Rex Dieter 2009-10-12 17:20:55 UTC
A few comments:

1.  can drop extranenous
BuildRequires:	qt-devel

2.  drop
Requires:	qtcurve-kde4...
(agreed on irc)

3.  description:
allowing users to achieve a uniform look between three widget toolkits.
"three"?  maybe meant to say "these"  here. ?

4.  %post/%postun scriplets not needed

5.  %files , instead use:
%{_libdir}/gtk-2.0/*/engines/libqtcurve.so
%{_datadir}/themes/QtCurve/

no need for _kde4 macros here, and to own QtCurve/ dir

Comment 2 Thomas Janssen 2009-10-13 11:34:09 UTC
(In reply to comment #1)
> A few comments:
> 
> 1.  can drop extranenous
> BuildRequires: qt-devel

Done

> 2.  drop
> Requires: qtcurve-kde4...
> (agreed on irc)

Done

> 3.  description:
> allowing users to achieve a uniform look between three widget toolkits.
> "three"?  maybe meant to say "these"  here. ?

Yeah, my bad. There are three if one includes -kde3 i guess (description taken from upstream). Since i'm not building it AND it sounds even better, i changed to "these".

> 4.  %post/%postun scriplets not needed

Done.
 
> 5.  %files , instead use:
> %{_libdir}/gtk-2.0/*/engines/libqtcurve.so
> %{_datadir}/themes/QtCurve/
> 
> no need for _kde4 macros here, and to own QtCurve/ dir  

Done

[thomas@tusdell ~]$ rpmlint rpmbuild/SPECS/qtcurve-gtk2.spec rpmbuild/SRPMS/qtcurve-gtk2-0.69.0-1.fc10.src.rpm rpmbuild/RPMS/x86_64/qtcurve-gtk2-*69*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1743212

Spec URL: http://thomasj.fedorapeople.org/reviews/qtcurve-gtk2.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/qtcurve-gtk2-0.69.0-1.fc10.src.rpm

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Rex Dieter 2009-10-13 18:04:54 UTC
OK, the rest looks simple and squeaky clean to me. (we can work together on 1 or 2 other cosmetic things that aren't review blockers).

Been using it over the past day or so, and it works well.

APPROVED.

Comment 4 Thomas Janssen 2009-10-13 18:24:28 UTC
New Package CVS Request
=======================
Package Name: qtcurve-gtk2
Short Description: This is a set of widget styles for Gtk2 based apps
Owners: thomasj
Branches: F-10 F-11 F-12
InitialCC:

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Kevin Fenzi 2009-10-15 17:28:34 UTC
cvs done.

Comment 6 Thomas Janssen 2009-10-16 11:09:27 UTC
Thanks guys for the review and cvs/pkgdb work. It's built. I close it now.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.